Bug 1875347 - it is not possible to have a disk provision source and use cdrom type as a disk
Summary: it is not possible to have a disk provision source and use cdrom type as a disk
Keywords:
Status: ASSIGNED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Gilad Lekner
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-03 11:23 UTC by Tomas Jelinek
Modified: 2020-09-22 08:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6537 None closed Bug 1875347: can't have a disk provision source and use cdrom type as a disk 2020-09-21 07:26:22 UTC

Description Tomas Jelinek 2020-09-03 11:23:21 UTC
Steps to Reproduce:
1. in the new vm wizard, pick provision source "disk"
2. in the disk tab create a new disk from URL and set it as CDROM
3. in the "boot source" pick this disk
4: click next

Actual results:
getting the following error:
Danger alert:Required fields not completed
Please select the boot source.

Expected results:
It should pass or explain why is CDRom not allowed

Additional info:

Comment 3 Guohua Ouyang 2020-09-15 08:15:46 UTC
After select disk type "CD-ROM', the available source are "Upload via URL, Use an existing PVC, Clone an existing PVC, Container".
It's fixed for "Upload via URL, Use an existing PVC, Clone an existing PVC", but not "Container".
If select Container as source and create the disk, it still cannot be used as boot disk.

Comment 4 Tomas Jelinek 2020-09-15 08:22:17 UTC
(In reply to Guohua Ouyang from comment #3)
> After select disk type "CD-ROM', the available source are "Upload via URL,
> Use an existing PVC, Clone an existing PVC, Container".
> It's fixed for "Upload via URL, Use an existing PVC, Clone an existing PVC",
> but not "Container".
> If select Container as source and create the disk, it still cannot be used
> as boot disk.

I believe this is actually correct - you can not boot from a cdrom if it is a container disk.

@Fabian, am I right? Can you create a cdrom and put a container disk to it and boot from it? I remember (but can not back it up by a link :( ) that it was not possible so we disabled it.

Comment 5 Fabian Deutsch 2020-09-15 08:38:24 UTC
I'm not aware if a technical reason of why a containerDisk should not be able to back a CD-ROM.

Stu, are you aware of limitations?

Comment 6 sgott 2020-09-15 21:23:23 UTC
I am not aware of a limitation of this nature. If you think of a CD-ROM as an ISO-9660 filesystem -- or more generically as a collection of bits, there's no reason it couldn't be a containerDisk.

Comment 7 Tomas Jelinek 2020-09-16 11:10:29 UTC
ok than, enabling.

Comment 8 Tomas Jelinek 2020-09-16 11:13:26 UTC
fixed in https://github.com/openshift/console/pull/6537 - the bot did not pick it up so moving the BZ manually to modified

Comment 10 Guohua Ouyang 2020-09-17 06:52:15 UTC
still not fix for container on master.

Comment 11 Tomas Jelinek 2020-09-22 08:53:59 UTC
since the container as cdrom is not the main flow, moving out of blocker list


Note You need to log in before you can comment on or make changes to this bug.